{% load static %}
{% load wagtailcore_tags wagtailimages_tags %}

<!-- Link para o CSS -->
<link rel="stylesheet" href="{% static 'css/blog_style.css' %}">

<div class="container mx-auto my-8 p-8">
  <h2 class="font-normal text-darkGray blog-section__title mb-8">
    Últimas notícias
  </h2>  
  
  <div class="flex bg-white shadow-lg rounded-lg mb-8 blog-section__main-card">
    <!-- Versão desktop -->
    <div class="hidden md:flex">
      {% if latest_posts.0.image %}
        <div class="w-1/2 h-full flex-shrink-0">
          {% image latest_posts.0.image fill-600x300 class="w-full h-full object-cover" alt=latest_posts.0.title %}
        </div>
      {% endif %}
      <div class="w-1/2 p-6">
        <div class="flex flex-wrap mb-4">
          {% for tag in latest_posts.0.tags.all %}
            <a href="{% pageurl latest_posts.0.get_parent %}?tag={{ tag.slug }}" class="inline-block bg-darkOrange text-black py-1 px-3 rounded-full m-1 text-sm">
              {{ tag }}
            </a>
          {% endfor %}
        </div>
        <h3 class="blog-section__main-card__title">{{ latest_posts.0.title }}</h3>
        <p class="mt-4 text-gray mb-8">{{ latest_posts.0.intro }}</p>
        <a href="{{ latest_posts.0.url }}" class="inline-block no-underline text-purpleAccent blog-section__read-more">
            Leia mais
            <img src="{% static 'icons/arrow.svg' %}" alt="Arrow" class="blog-section__read-more-icon">
        </a>
      </div>    
    </div>

    <!-- Versão mobile -->
    <div class="flex-col md:hidden">
      {% if latest_posts.0.image %}
        <div class="w-full h-64">
          {% image latest_posts.0.image fill-337x237 class="w-full h-full object-cover" alt=latest_posts.0.title %}
        </div>
      {% endif %}
      <div class="p-6">
        <div class="flex flex-wrap mb-4">
          {% for tag in latest_posts.0.tags.all %}
            <a href="{% pageurl latest_posts.0.get_parent %}?tag={{ tag.slug }}" class="inline-block bg-darkOrange text-black py-1 px-3 rounded-full m-1 text-sm">
              {{ tag }}
            </a>
          {% endfor %}
        </div>
        <h3 class="blog-section__main-card__title">{{ latest_posts.0.title }}</h3>
        <p class="mt-4 text-gray mb-8">{{ latest_posts.0.intro }}</p>
        <a href="{{ latest_posts.0.url }}" class="inline-block no-underline text-purpleAccent blog-section__read-more">
            Leia mais
            <img src="{% static 'icons/arrow.svg' %}" alt="Arrow" class="blog-section__read-more-icon">
        </a>
      </div>    
    </div>
  </div>

  <div class="grid grid-cols-1 md:grid-cols-3 gap-6">
    {% for post in latest_posts|slice:"1:4" %}
      <div class="card bg-white rounded-lg shadow-lg blog-section__card">
        {% if post.image %}
          {% image post.image fill-400x200 class="w-full h-48 object-cover" alt=post.title %}
        {% endif %}
        <div class="p-6">
          <div class="flex flex-wrap mb-4">
            {% for tag in post.tags.all %}
              <a href="{% pageurl latest_posts.0.get_parent %}?tag={{ tag.slug }}" class="inline-block bg-darkOrange text-black py-1 px-3 rounded-full m-1 text-sm">
                {{ tag }}
              </a>
            {% endfor %}
          </div>
          <h3 class="text-lg font-semibold mb-[28px]">{{ post.title }}</h3>
          <a href="{{ post.url }}" class="inline-block no-underline text-purpleAccent blog-section__read-more">
            Leia mais
            <img src="{% static 'icons/arrow.svg' %}" alt="Arrow" class="blog-section__read-more-icon">
          </a>
        </div>
      </div>
    {% endfor %}
  </div> 
  {% if blog_index_page %}
    <div class="text-center my-8">
      <a href="{% pageurl blog_index_page %}" class=" bg-lightYellow text-black py-3 px-6 rounded-lg shadow transition-colors duration-300 blog-section__btn-go-to-blog">
          Ir para blog
      </a>  
    </div>
  {% endif %}
</div> 
